#ifndef Motor_h
#define Motor_h

enum MotorFace {front, right, back, left, up, down};
enum Rotation {clockwise, counterClockwise};

class Motor
{
  public:
    Motor(int pinEnabled);    
    void rotate(Rotation rotation, int turns);
  private:
    int _pinEnabled;
    bool _enabled;
    void _setEnabled(bool value);
    void _defineRotation(Rotation rotation);
};

#endif