#ifndef ControladorMotor_h
#define ControladorMotor_h
#include <string>

#define PIN_ENABLED_FB 5//17
#define PIN_ENABLED_FD 4//18
#define PIN_ENABLED_FL 0//19
#define PIN_ENABLED_FR 14//21
#define PIN_ENABLED_FU 12//22
#define PIN_ENABLED_FF 13//23

struct Movement {
    Motor * motor;
    Rotation rotation;
    bool doubleIt;
};

class MotorControl
{
    public:
        MotorControl();
        void executeMovement(String sequence);
};

#endif